unit CaptionPEd;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls,
     Forms, Dialogs, StdCtrls, Buttons, DsgnIntF, TypInfo, CaptionEd,
     AMCbRb;

type
  TCaptionProperty = class(TStringProperty)
  public
    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  end;

procedure Register;

implementation

function TCaptionProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

procedure TCaptionProperty.Edit;
var
  Form: TfrmCaption;
begin
  Form := TfrmCaption.Create(Application);
  Form.AMCaption.Text := GetValue;
  try
    if Form.ShowModal = mrOk then SetValue(Form.AMCaption.Text);
  finally
    Form.Free;
  end;
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TCaption), TAMCheckBox, 'Caption', TCaptionProperty);
  RegisterPropertyEditor(TypeInfo(TCaption), TAMRadioButton, 'Caption', TCaptionProperty);
end;

end.
